[Stackless] Problem building release27-maint in 64-bit linux.

Estevo euccastro at yahoo.com
Fri May 6 17:27:44 CEST 2011


I got the following error trying to make release27-maint in a 64-bit 

gcc -pthread -c -fno-strict-aliasing -DSTACKLESS_FRHACK=0 -g -O2 -DNDEBUG -g 
-fwrapv -O3 -Wall -Wstrict-prototypes  -I. -IInclude -I./Include -I./Stackless   
-DPy_BUILD_CORE -fno-omit-frame-pointer -O2 -I. -o Stackless/core/slp_transfer.o 
./Stackless/core/slp_transfer.c
./Stackless/core/slp_transfer.c: In function ‘slp_transfer’:
./Stackless/core/slp_transfer.c:153:1: error: bp cannot be used in asm here
make: *** [Stackless/core/slp_transfer.o] Erro 1

My system is a 64-bit Ubuntu 11.04:

es at bemba:~/meu/src/release27-maint$ uname -a
Linux bemba 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 
x86_64 x86_64 GNU/Linux

This release27-maint branch builds fine in a 32-bit system with the same 
OS/version.

The Stackless python-2.71 tag builds fine in this (x86_64) system, so this is 
not an issue to me.  Since you're considering the maintenance branch stable and 
reliable I thought you'd like to know about it, though.  


Cheers,

Estevo.




More information about the Stackless mailing list